--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

COMMENT ON SCHEMA public IS 'standard public schema';

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: a1_person_meta_data; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a1_person_meta_data (
    sysid bigint NOT NULL,
    property_name character varying(400) NOT NULL,
    short_name character varying(400) NOT NULL,
    long_name character varying(400) NOT NULL,
    view_column_number bigint,
    is_sortable bigint,
    is_editable bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    is_required bigint NOT NULL,
    upload_name character varying(400),
    position_in_filter bigint
);


ALTER TABLE public.a1_person_meta_data OWNER TO postgres;

--
-- Name: a1_persons; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a1_persons (
    sysid bigint NOT NULL,
    person_id character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    type_of_study bigint,
    type_of_study_settings bigint,
    twin_type bigint,
    ethnicity bigint,
    sex bigint,
    id_father bigint,
    id_mother bigint,
    id_person bigint,
    age bigint,
    gestational_age bigint,
    family_history_heart_disease bigint,
    family_history_stroke bigint,
    family_history_type2_diabetes bigint,
    dob timestamp without time zone,
    examination_year timestamp without time zone,
    education bigint,
    collection_name character varying(400),
    type_of_diabetes bigint,
    date_of_diagnosis timestamp without time zone,
    country_of_residence bigint,
    type_of_collection bigint,
    owner bigint,
    owner_group bigint,
    technology bigint,
    is_pending bigint,
    batch_id character varying(400),
    protocol_files character varying(400),
    data_files character varying(400)
);


ALTER TABLE public.a1_persons OWNER TO postgres;

--
-- Name: a2_visit_meta_data; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a2_visit_meta_data (
    sysid bigint NOT NULL,
    property_name character varying(400) NOT NULL,
    short_name character varying(400) NOT NULL,
    long_name character varying(400) NOT NULL,
    view_column_number bigint,
    is_sortable bigint,
    is_editable bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    is_required bigint NOT NULL,
    upload_name character varying(400),
    position_in_filter bigint
);


ALTER TABLE public.a2_visit_meta_data OWNER TO postgres;

--
-- Name: a2_visits; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a2_visits (
    sysid bigint NOT NULL,
    visit_id character varying(400) NOT NULL,
    person bigint NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    glucose_timing character varying(400),
    tube_glucose character varying(400),
    insulin_timing character varying(400),
    tube_insulin character varying(400),
    tube_hba character varying(400),
    tube_cholesterol character varying(400),
    tube_hdl character varying(400),
    tube_ldl character varying(400),
    triglycerides_timing character varying(400),
    tube_triglyceride character varying(400),
    tube_crp character varying(400),
    tube_uric_acid character varying(400),
    glucose_medication bigint,
    age_first_myocardial_infarction bigint,
    age_first_coronial_heart_disease bigint,
    age_first_stroke bigint,
    cholesterol_medication bigint,
    antihypertensitives_medication bigint,
    myocardial_infarction bigint,
    coronial_heart_disease bigint,
    stroke bigint,
    weight numeric(20,5),
    height numeric(20,5),
    bmi numeric(20,5),
    waist numeric(20,5),
    hip numeric(20,5),
    waist_vs_hip numeric(20,5),
    glucose numeric(20,5),
    insulin numeric(20,5),
    hba numeric(20,5),
    total_cholesterol numeric(20,5),
    hdl numeric(20,5),
    ldl numeric(20,5),
    triglycerides numeric(20,5),
    crp numeric(20,5),
    uric_acid numeric(20,5),
    imt numeric(20,5),
    systolic_blood_pressure numeric(20,5),
    diastolic_blood_pressure numeric(20,5),
    time_of_visit timestamp without time zone,
    smoking_quantity_1 numeric(20,5),
    smoking_quantity_2 numeric(20,5),
    alcohol_quantity numeric(20,5),
    smoking_status bigint,
    alcohol_status bigint,
    diet character varying(400),
    physical_exercise character varying(400),
    apob numeric(20,5),
    tg numeric(20,5),
    tube_tg character varying(400),
    tube_apob character varying(400),
    use_glucose_medication bigint,
    use_cholesterol_medication bigint,
    use_antihypertensives_medication bigint,
    dose_glucose_medication numeric(20,5),
    dose_cholesterol_medication numeric(20,5),
    dose_antihypertensives_medication numeric(20,5),
    unit_glucose_medication character varying(400),
    unit_cholesterol_medication character varying(400),
    unit_antihypertensives_medication character varying(400),
    systolic_blood_pressure_type character varying(400),
    diastolic_blood_pressure_type character varying(400),
    technology bigint,
    is_pending bigint,
    batch_id character varying(400),
    protocol_files character varying(400),
    data_files character varying(400)
);
ALTER TABLE ONLY a2_visits ALTER COLUMN dose_glucose_medication SET STORAGE PLAIN;
ALTER TABLE ONLY a2_visits ALTER COLUMN dose_cholesterol_medication SET STORAGE PLAIN;
ALTER TABLE ONLY a2_visits ALTER COLUMN dose_antihypertensives_medication SET STORAGE PLAIN;


ALTER TABLE public.a2_visits OWNER TO postgres;

--
-- Name: a3_sample_meta_data; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a3_sample_meta_data (
    sysid bigint NOT NULL,
    property_name character varying(400) NOT NULL,
    short_name character varying(400) NOT NULL,
    long_name character varying(400) NOT NULL,
    view_column_number bigint,
    is_sortable bigint,
    is_editable bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    is_required bigint NOT NULL,
    upload_name character varying(400),
    position_in_filter bigint
);


ALTER TABLE public.a3_sample_meta_data OWNER TO postgres;

--
-- Name: a3_samples; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE a3_samples (
    sysid bigint NOT NULL,
    sample_id character varying(400) NOT NULL,
    from_visit bigint NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    planned_sample_user bigint,
    sample_fitness_for_use bigint,
    sample_location bigint,
    sample_processing bigint,
    sample_processing_metadata bigint,
    sample_reception_status bigint,
    sample_storage bigint,
    sample_transport_condition bigint,
    sample_type bigint,
    sample_subtype bigint,
    sample_type_memo character varying(400),
    volume numeric(20,5),
    concentration numeric(20,5),
    volume_unit character varying(400),
    concentration_unit character varying(400),
    collection_date timestamp without time zone,
    shipment_date timestamp without time zone,
    processing_metadata_2 text,
    processing_metadata_3 text,
    technology bigint,
    is_pending bigint,
    batch_id character varying(400),
    protocol_files character varying(400),
    data_files character varying(400)
);


ALTER TABLE public.a3_samples OWNER TO postgres;

--
-- Name: collections; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE collections (
    sysid bigint NOT NULL,
    collection_name character varying(400),
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    commentary text,
    id_prefix character varying(400),
    ftp_directory character varying(400),
    is_public bigint,
    collection_curator bigint,
    use_id_generation bigint
);


ALTER TABLE public.collections OWNER TO postgres;

--
-- Name: cv0_blood_pressure_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_blood_pressure_types (
    sysid bigint NOT NULL,
    blood_pressure_type character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_blood_pressure_types OWNER TO postgres;

--
-- Name: cv0_concentration_units; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_concentration_units (
    sysid bigint NOT NULL,
    concentration_unit character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_concentration_units OWNER TO postgres;

--
-- Name: cv0_medication_doses; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_medication_doses (
    sysid bigint NOT NULL,
    medication_dose character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_medication_doses OWNER TO postgres;

--
-- Name: cv0_sample_timings; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_sample_timings (
    sysid bigint NOT NULL,
    sample_timing character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_sample_timings OWNER TO postgres;

--
-- Name: cv0_sample_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_sample_types (
    sysid bigint NOT NULL,
    sample_type character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_sample_types OWNER TO postgres;

--
-- Name: cv0_volume_units; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv0_volume_units (
    sysid bigint NOT NULL,
    volume_unit character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv0_volume_units OWNER TO postgres;

--
-- Name: cv1_country_of_residence; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_country_of_residence (
    sysid bigint NOT NULL,
    country_of_residence character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_country_of_residence OWNER TO postgres;

--
-- Name: cv1_diabetes_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_diabetes_types (
    sysid bigint NOT NULL,
    diabetes_type character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_diabetes_types OWNER TO postgres;

--
-- Name: cv1_ethnicities; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_ethnicities (
    sysid bigint NOT NULL,
    ethnicity character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_ethnicities OWNER TO postgres;

--
-- Name: cv1_sexes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_sexes (
    sysid bigint NOT NULL,
    sex character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_sexes OWNER TO postgres;

--
-- Name: cv1_twin_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_twin_types (
    sysid bigint NOT NULL,
    twin_type character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_twin_types OWNER TO postgres;

--
-- Name: cv1_types_of_collection; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_types_of_collection (
    sysid bigint NOT NULL,
    type_of_collection character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_types_of_collection OWNER TO postgres;

--
-- Name: cv1_types_of_studies; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_types_of_studies (
    sysid bigint NOT NULL,
    type_of_study character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_types_of_studies OWNER TO postgres;

--
-- Name: cv1_types_of_study_settings; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv1_types_of_study_settings (
    sysid bigint NOT NULL,
    type_of_study_settings character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv1_types_of_study_settings OWNER TO postgres;

--
-- Name: cv2_alcohol_stata; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv2_alcohol_stata (
    sysid bigint NOT NULL,
    alcohol_status character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv2_alcohol_stata OWNER TO postgres;

--
-- Name: cv2_antihypertensitives_medications; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv2_antihypertensitives_medications (
    sysid bigint NOT NULL,
    antihypertensitives_medication character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv2_antihypertensitives_medications OWNER TO postgres;

--
-- Name: cv2_cholesterol_medications; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv2_cholesterol_medications (
    sysid bigint NOT NULL,
    cholesterol_medication character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv2_cholesterol_medications OWNER TO postgres;

--
-- Name: cv2_glucose_medications; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv2_glucose_medications (
    sysid bigint NOT NULL,
    glucose_medication character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv2_glucose_medications OWNER TO postgres;

--
-- Name: cv2_smoking_stata; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv2_smoking_stata (
    sysid bigint NOT NULL,
    smoking_status character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv2_smoking_stata OWNER TO postgres;

--
-- Name: cv3_planned_sample_users; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_planned_sample_users (
    sysid bigint NOT NULL,
    planned_sample_user character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_planned_sample_users OWNER TO postgres;

--
-- Name: cv3_sample_fitness_for_use; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_fitness_for_use (
    sysid bigint NOT NULL,
    sample_fitness_for_use character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_fitness_for_use OWNER TO postgres;

--
-- Name: cv3_sample_locations; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_locations (
    sysid bigint NOT NULL,
    sample_location character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_locations OWNER TO postgres;

--
-- Name: cv3_sample_processing; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_processing (
    sysid bigint NOT NULL,
    sample_processing character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_processing OWNER TO postgres;

--
-- Name: cv3_sample_processing_metadata; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_processing_metadata (
    sysid bigint NOT NULL,
    sample_processing_metadata character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_processing_metadata OWNER TO postgres;

--
-- Name: cv3_sample_reception_stata; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_reception_stata (
    sysid bigint NOT NULL,
    sample_reception_status character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_reception_stata OWNER TO postgres;

--
-- Name: cv3_sample_storage; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_storage (
    sysid bigint NOT NULL,
    sample_storage character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_storage OWNER TO postgres;

--
-- Name: cv3_sample_subtypes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_subtypes (
    sysid bigint NOT NULL,
    sample_subtype character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_subtypes OWNER TO postgres;

--
-- Name: cv3_sample_transport_conditions; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_transport_conditions (
    sysid bigint NOT NULL,
    sample_transport_condition character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_transport_conditions OWNER TO postgres;

--
-- Name: cv3_sample_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3_sample_types (
    sysid bigint NOT NULL,
    sample_type character varying(400) NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3_sample_types OWNER TO postgres;

--
-- Name: cv3m_sample_types_sample_subtypes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cv3m_sample_types_sample_subtypes (
    sysid bigint NOT NULL,
    sample_type bigint NOT NULL,
    sample_subtype bigint NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.cv3m_sample_types_sample_subtypes OWNER TO postgres;

--
-- Name: data_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE data_types (
    sysid bigint NOT NULL,
    data_type character varying(400),
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    commentary text,
    file_extension character varying(400)
);


ALTER TABLE public.data_types OWNER TO postgres;

--
-- Name: pending_tasks; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pending_tasks (
    sysid bigint NOT NULL,
    l1_id bigint,
    l2_id bigint,
    l3_id bigint,
    from_file text,
    to_file text,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    task_type bigint,
    attribute_1 character varying(400),
    batch_id character varying(400)
);


ALTER TABLE public.pending_tasks OWNER TO postgres;

--
-- Name: project_partners; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE project_partners (
    sysid bigint NOT NULL,
    project_partner character varying(400),
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    external_partner bigint,
    partner_longname character varying(400)
);


ALTER TABLE public.project_partners OWNER TO postgres;

--
-- Name: protocol_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE protocol_types (
    sysid bigint NOT NULL,
    protocol_type character varying(400),
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    commentary text
);


ALTER TABLE public.protocol_types OWNER TO postgres;

--
-- Name: relation_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE relation_types (
    sysid bigint NOT NULL,
    relation character varying(400) NOT NULL,
    reverse_relation character varying(400),
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.relation_types OWNER TO postgres;

--
-- Name: relations; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE relations (
    sysid bigint NOT NULL,
    person_1 bigint NOT NULL,
    person_2 bigint NOT NULL,
    relation bigint NOT NULL,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.relations OWNER TO postgres;

--
-- Name: technology_access; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE technology_access (
    sysid bigint NOT NULL,
    granted_to_user bigint NOT NULL,
    technology bigint,
    can_create_sg bigint,
    vocabulary_access bigint,
    configuration_access bigint,
    created timestamp without time zone,
    modified timestamp without time zone,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    commentary text,
    can_create_view bigint,
    data_transfer_rights bigint
);


ALTER TABLE public.technology_access OWNER TO postgres;

--
-- Name: user_group_membership; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_group_membership (
    sysid bigint NOT NULL,
    the_user bigint NOT NULL,
    belongs_to_user_group bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.user_group_membership OWNER TO postgres;

--
-- Name: user_group_rights; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_group_rights (
    sysid bigint NOT NULL,
    granted_by_group bigint NOT NULL,
    granted_to_group bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    access_rights bigint,
    created timestamp without time zone NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.user_group_rights OWNER TO postgres;

--
-- Name: user_groups; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_groups (
    sysid bigint NOT NULL,
    user_group_name character varying(400),
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    is_default bigint
);


ALTER TABLE public.user_groups OWNER TO postgres;

--
-- Name: user_rights; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_rights (
    sysid bigint NOT NULL,
    granted_by bigint NOT NULL,
    granted_to bigint,
    created_by bigint NOT NULL,
    modified_by bigint NOT NULL,
    access_rights bigint,
    created timestamp without time zone NOT NULL,
    modified timestamp without time zone,
    commentary text
);


ALTER TABLE public.user_rights OWNER TO postgres;

--
-- Name: users; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE users (
    sysid bigint NOT NULL,
    fullname character varying(400),
    login character varying(400) NOT NULL,
    passw character varying(400) NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    modified timestamp without time zone,
    commentary text,
    id_prefix character varying(400),
    ftp_directory character varying(400),
    user_settings text,
    ftp_is_enabled bigint,
    admin_rights bigint,
    advanced_export_rights bigint,
    default_user_group bigint,
    can_create_top bigint,
    vocabulary_access bigint,
    configuration_access bigint,
    technology_curator_rights bigint,
    project_partner bigint,
    filter_settings text,
    start_with_welcome_page bigint
);


ALTER TABLE public.users OWNER TO postgres;

--
-- Name: version_number; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE version_number (
    version_number bigint NOT NULL,
    commentary text,
    configuration character varying(400) NOT NULL
);


ALTER TABLE public.version_number OWNER TO postgres;

--
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hibernate_sequence
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.hibernate_sequence OWNER TO postgres;

--
-- Name: ALIQUOTS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "ALIQUOTS_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_BLOOD_PRESSURE_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_blood_pressure_types
    ADD CONSTRAINT "CV0_BLOOD_PRESSURE_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_MEDICATION_DOSES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_medication_doses
    ADD CONSTRAINT "CV0_MEDICATION_DOSES_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_SAMPLE_TIMINGS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_sample_timings
    ADD CONSTRAINT "CV0_SAMPLE_TIMINGS_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_SAMPLE_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_sample_types
    ADD CONSTRAINT "CV0_SAMPLE_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_concentration_unitS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_concentration_units
    ADD CONSTRAINT "CV0_concentration_unitS_PK" PRIMARY KEY (sysid);


--
-- Name: CV0_volume_unitS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv0_volume_units
    ADD CONSTRAINT "CV0_volume_unitS_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_ALCOHOL_STATA_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv2_alcohol_stata
    ADD CONSTRAINT "CV1_ALCOHOL_STATA_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_COUNTRY_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_country_of_residence
    ADD CONSTRAINT "CV1_COUNTRY_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_ETHNICITIES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_ethnicities
    ADD CONSTRAINT "CV1_ETHNICITIES_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_SEXES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_sexes
    ADD CONSTRAINT "CV1_SEXES_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_SMOKING_STATA_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv2_smoking_stata
    ADD CONSTRAINT "CV1_SMOKING_STATA_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_TWIN_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_twin_types
    ADD CONSTRAINT "CV1_TWIN_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_TYPES_OF_COLLECTIONPK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_types_of_collection
    ADD CONSTRAINT "CV1_TYPES_OF_COLLECTIONPK" PRIMARY KEY (sysid);


--
-- Name: CV1_TYPES_OF_STUDIES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_types_of_studies
    ADD CONSTRAINT "CV1_TYPES_OF_STUDIES_PK" PRIMARY KEY (sysid);


--
-- Name: CV1_TYPES_OF_STUDY_SETTINGS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_types_of_study_settings
    ADD CONSTRAINT "CV1_TYPES_OF_STUDY_SETTINGS_PK" PRIMARY KEY (sysid);


--
-- Name: CV2_ANTIHYPERTENSITIVES_MEDICATIONS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv2_antihypertensitives_medications
    ADD CONSTRAINT "CV2_ANTIHYPERTENSITIVES_MEDICATIONS_PK" PRIMARY KEY (sysid);


--
-- Name: CV2_CHORESTEROL_MEDICATIONS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv2_cholesterol_medications
    ADD CONSTRAINT "CV2_CHORESTEROL_MEDICATIONS_PK" PRIMARY KEY (sysid);


--
-- Name: CV2_DIABETES_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv1_diabetes_types
    ADD CONSTRAINT "CV2_DIABETES_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV2_GLUCOSE_MEDICATIONS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv2_glucose_medications
    ADD CONSTRAINT "CV2_GLUCOSE_MEDICATIONS_PK" PRIMARY KEY (sysid);


--
-- Name: CV3A_SAMPLE_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_types
    ADD CONSTRAINT "CV3A_SAMPLE_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_SAMPLE_SUBTYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_subtypes
    ADD CONSTRAINT "CV3_SAMPLE_SUBTYPES_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_planned_sample_user_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_planned_sample_users
    ADD CONSTRAINT "CV3_planned_sample_user_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_fitness_for_use_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_fitness_for_use
    ADD CONSTRAINT "CV3_sample_fitness_for_use_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_location_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_locations
    ADD CONSTRAINT "CV3_sample_location_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_processing_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_processing
    ADD CONSTRAINT "CV3_sample_processing_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_processing_metadata_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_processing_metadata
    ADD CONSTRAINT "CV3_sample_processing_metadata_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_reception_status_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_reception_stata
    ADD CONSTRAINT "CV3_sample_reception_status_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_storage_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_storage
    ADD CONSTRAINT "CV3_sample_storage_PK" PRIMARY KEY (sysid);


--
-- Name: CV3_sample_transport_condition_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3_sample_transport_conditions
    ADD CONSTRAINT "CV3_sample_transport_condition_PK" PRIMARY KEY (sysid);


--
-- Name: DATA_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY data_types
    ADD CONSTRAINT "DATA_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cv3m_sample_types_sample_subtypes
    ADD CONSTRAINT "MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_PK" PRIMARY KEY (sysid);


--
-- Name: PARTNERS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project_partners
    ADD CONSTRAINT "PARTNERS_PK" PRIMARY KEY (sysid);


--
-- Name: PENDING_TASKS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT "PENDING_TASKS_PK" PRIMARY KEY (sysid);


--
-- Name: PERSONS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "PERSONS_PK" PRIMARY KEY (sysid);


--
-- Name: PERSON_META_DATA_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a1_person_meta_data
    ADD CONSTRAINT "PERSON_META_DATA_PK" PRIMARY KEY (sysid);


--
-- Name: PROTOCOL_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY protocol_types
    ADD CONSTRAINT "PROTOCOL_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: RELATIONS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_PK" PRIMARY KEY (sysid);


--
-- Name: RELATION_TYPES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY relation_types
    ADD CONSTRAINT "RELATION_TYPES_PK" PRIMARY KEY (sysid);


--
-- Name: SAMPLES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "SAMPLES_PK" PRIMARY KEY (sysid);


--
-- Name: SAMPLE_META_DATA_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a3_sample_meta_data
    ADD CONSTRAINT "SAMPLE_META_DATA_PK" PRIMARY KEY (sysid);


--
-- Name: TECHNOLOGIES_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY collections
    ADD CONSTRAINT "TECHNOLOGIES_PK" PRIMARY KEY (sysid);


--
-- Name: TECHNOLOGY_ACCESS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY technology_access
    ADD CONSTRAINT "TECHNOLOGY_ACCESS_PK" PRIMARY KEY (sysid);


--
-- Name: USERS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT "USERS_PK" PRIMARY KEY (sysid);


--
-- Name: USER_GROUPS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY user_groups
    ADD CONSTRAINT "USER_GROUPS_PK" PRIMARY KEY (sysid);


--
-- Name: USER_GROUP_MEMBERSHIP_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY user_group_membership
    ADD CONSTRAINT "USER_GROUP_MEMBERSHIP_PK" PRIMARY KEY (sysid);


--
-- Name: USER_GROUP_RIGHTS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY user_group_rights
    ADD CONSTRAINT "USER_GROUP_RIGHTS_PK" PRIMARY KEY (sysid);


--
-- Name: USER_RIGHTS_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY user_rights
    ADD CONSTRAINT "USER_RIGHTS_PK" PRIMARY KEY (sysid);


--
-- Name: VERSION_NUMBER_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY version_number
    ADD CONSTRAINT "VERSION_NUMBER_PK" PRIMARY KEY (version_number);


--
-- Name: VISIT_META_DATA_PK; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY a2_visit_meta_data
    ADD CONSTRAINT "VISIT_META_DATA_PK" PRIMARY KEY (sysid);


--
-- Name: fki_ALIQUOTS_SAMPLES_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_ALIQUOTS_SAMPLES_FK" ON a3_samples USING btree (from_visit);


--
-- Name: fki_CV!_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV!_CREATED" ON cv1_ethnicities USING btree (created_by);


--
-- Name: fki_CV0_BLOOD_PRESSURE_TYPES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_BLOOD_PRESSURE_TYPES_CREATED" ON cv0_blood_pressure_types USING btree (created_by);


--
-- Name: fki_CV0_BLOOD_PRESSURE_TYPES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_BLOOD_PRESSURE_TYPES_MODIFIED" ON cv0_blood_pressure_types USING btree (modified_by);


--
-- Name: fki_CV0_MEDICATION_DOSES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_MEDICATION_DOSES_CREATED" ON cv0_medication_doses USING btree (created_by);


--
-- Name: fki_CV0_MEDICATION_DOSES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_MEDICATION_DOSES_MODIFIED" ON cv0_medication_doses USING btree (modified_by);


--
-- Name: fki_CV0_SAMPLE_TIMINGS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_SAMPLE_TIMINGS_CREATED" ON cv0_sample_timings USING btree (created_by);


--
-- Name: fki_CV0_SAMPLE_TIMINGS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_SAMPLE_TIMINGS_MODIFIED" ON cv0_sample_timings USING btree (modified_by);


--
-- Name: fki_CV0_SAMPLE_TYPES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_SAMPLE_TYPES_CREATED" ON cv0_sample_types USING btree (created_by);


--
-- Name: fki_CV0_SAMPLE_TYPES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_SAMPLE_TYPES_MODIFIED" ON cv0_sample_types USING btree (modified_by);


--
-- Name: fki_CV0_concentration_unitS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_concentration_unitS_CREATED" ON cv0_concentration_units USING btree (created_by);


--
-- Name: fki_CV0_concentration_unitS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_concentration_unitS_MODIFIED" ON cv0_concentration_units USING btree (modified_by);


--
-- Name: fki_CV0_volume_unitS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_volume_unitS_CREATED" ON cv0_volume_units USING btree (created_by);


--
-- Name: fki_CV0_volume_unitS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV0_volume_unitS_MODIFIED" ON cv0_volume_units USING btree (modified_by);


--
-- Name: fki_CV1_ALCOHOL_STATA_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_ALCOHOL_STATA_CREATED" ON cv2_alcohol_stata USING btree (created_by);


--
-- Name: fki_CV1_ALCOHOL_STATA_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_ALCOHOL_STATA_MODIFIED" ON cv2_alcohol_stata USING btree (modified_by);


--
-- Name: fki_CV1_COUNTRY_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_COUNTRY_CREATED" ON cv1_country_of_residence USING btree (created_by);


--
-- Name: fki_CV1_COUNTRY_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_COUNTRY_MODIFIED" ON cv1_country_of_residence USING btree (modified_by);


--
-- Name: fki_CV1_COUNTRY_OF_RESIDENCE_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_COUNTRY_OF_RESIDENCE_FK" ON a1_persons USING btree (country_of_residence);


--
-- Name: fki_CV1_DIABETES_TYPE_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_DIABETES_TYPE_FK" ON a1_persons USING btree (type_of_diabetes);


--
-- Name: fki_CV1_ETHNICITIES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_ETHNICITIES_MODIFIED" ON cv1_ethnicities USING btree (modified_by);


--
-- Name: fki_CV1_ETHNICITY_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_ETHNICITY_FK" ON a1_persons USING btree (ethnicity);


--
-- Name: fki_CV1_SEXES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_SEXES_CREATED" ON cv1_sexes USING btree (created_by);


--
-- Name: fki_CV1_SEXES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_SEXES_MODIFIED" ON cv1_sexes USING btree (modified_by);


--
-- Name: fki_CV1_SEX_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_SEX_FK" ON a1_persons USING btree (sex);


--
-- Name: fki_CV1_SMOKING_STATA_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_SMOKING_STATA_CREATED" ON cv2_smoking_stata USING btree (created_by);


--
-- Name: fki_CV1_SMOKING_STATA_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_SMOKING_STATA_MODIFIED" ON cv2_smoking_stata USING btree (modified_by);


--
-- Name: fki_CV1_TWIN_TYPES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TWIN_TYPES_CREATED" ON cv1_twin_types USING btree (created_by);


--
-- Name: fki_CV1_TWIN_TYPES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TWIN_TYPES_MODIFIED" ON cv1_twin_types USING btree (modified_by);


--
-- Name: fki_CV1_TWIN_TYPE_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TWIN_TYPE_FK" ON a1_persons USING btree (twin_type);


--
-- Name: fki_CV1_TYPES_OF_COLLECTION_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_COLLECTION_CREATED" ON cv1_types_of_collection USING btree (created_by);


--
-- Name: fki_CV1_TYPES_OF_COLLECTION_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_COLLECTION_MODIFIED" ON cv1_types_of_collection USING btree (modified_by);


--
-- Name: fki_CV1_TYPES_OF_STUDIES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_STUDIES_CREATED" ON cv1_types_of_studies USING btree (created_by);


--
-- Name: fki_CV1_TYPES_OF_STUDIES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_STUDIES_MODIFIED" ON cv1_types_of_studies USING btree (modified_by);


--
-- Name: fki_CV1_TYPES_OF_STUDY_SETTINGS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_STUDY_SETTINGS_CREATED" ON cv1_types_of_study_settings USING btree (created_by);


--
-- Name: fki_CV1_TYPES_OF_STUDY_SETTINGS_MODOFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPES_OF_STUDY_SETTINGS_MODOFIED" ON cv1_types_of_study_settings USING btree (modified_by);


--
-- Name: fki_CV1_TYPE_OF_COLLECTION; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPE_OF_COLLECTION" ON a1_persons USING btree (type_of_collection);


--
-- Name: fki_CV1_TYPE_OF_STUDY_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPE_OF_STUDY_FK" ON a1_persons USING btree (type_of_study);


--
-- Name: fki_CV1_TYPE_OF_STUDY_SETTINGS_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV1_TYPE_OF_STUDY_SETTINGS_FK" ON a1_persons USING btree (type_of_study_settings);


--
-- Name: fki_CV2_ALCOHOL_STATUS_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_ALCOHOL_STATUS_FK" ON a2_visits USING btree (alcohol_status);


--
-- Name: fki_CV2_ANTIHYPERTENSITIVES_MEDICATIONS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_ANTIHYPERTENSITIVES_MEDICATIONS_CREATED" ON cv2_antihypertensitives_medications USING btree (created_by);


--
-- Name: fki_CV2_ANTIHYPERTENSITIVES_MEDICATIONS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_ANTIHYPERTENSITIVES_MEDICATIONS_MODIFIED" ON cv2_antihypertensitives_medications USING btree (modified_by);


--
-- Name: fki_CV2_ANTIHYPERTENSITIVES_MEDICATION_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_ANTIHYPERTENSITIVES_MEDICATION_FK" ON a2_visits USING btree (antihypertensitives_medication);


--
-- Name: fki_CV2_CHOLESTEROL_MEDICATION_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_CHOLESTEROL_MEDICATION_FK" ON a2_visits USING btree (cholesterol_medication);


--
-- Name: fki_CV2_CHORESTEROL_MEDICATIONS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_CHORESTEROL_MEDICATIONS_CREATED" ON cv2_cholesterol_medications USING btree (created_by);


--
-- Name: fki_CV2_CHORESTEROL_MEDICATIONS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_CHORESTEROL_MEDICATIONS_MODIFIED" ON cv2_cholesterol_medications USING btree (modified_by);


--
-- Name: fki_CV2_DIABETES_TYPES_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_DIABETES_TYPES_CREATED" ON cv1_diabetes_types USING btree (created_by);


--
-- Name: fki_CV2_DIABETES_TYPES_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_DIABETES_TYPES_MODIFIED" ON cv1_diabetes_types USING btree (modified_by);


--
-- Name: fki_CV2_GLUCOSE_MEDICATIONS_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_GLUCOSE_MEDICATIONS_CREATED" ON cv2_glucose_medications USING btree (created_by);


--
-- Name: fki_CV2_GLUCOSE_MEDICATIONS_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_GLUCOSE_MEDICATIONS_MODIFIED" ON cv2_glucose_medications USING btree (modified_by);


--
-- Name: fki_CV2_GLUCOSE_MEDICATION_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_GLUCOSE_MEDICATION_FK" ON a2_visits USING btree (glucose_medication);


--
-- Name: fki_CV2_SMOKING_STATUS_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV2_SMOKING_STATUS_FK" ON a2_visits USING btree (smoking_status);


--
-- Name: fki_CV3A_SAMPLE_TYPES_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3A_SAMPLE_TYPES_CREATED_FK" ON cv3_sample_types USING btree (created_by);


--
-- Name: fki_CV3A_SAMPLE_TYPES_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3A_SAMPLE_TYPES_MODIFIED_FK" ON cv3_sample_types USING btree (modified_by);


--
-- Name: fki_CV3_FITNESS; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_FITNESS" ON a3_samples USING btree (sample_fitness_for_use);


--
-- Name: fki_CV3_LOCATION; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_LOCATION" ON a3_samples USING btree (sample_location);


--
-- Name: fki_CV3_PLANNED_USERS; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_PLANNED_USERS" ON a3_samples USING btree (planned_sample_user);


--
-- Name: fki_CV3_PROCESSING; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_PROCESSING" ON a3_samples USING btree (sample_processing);


--
-- Name: fki_CV3_PROCESSING_METADATA; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_PROCESSING_METADATA" ON a3_samples USING btree (sample_processing_metadata);


--
-- Name: fki_CV3_RECEPTION_STATUS; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_RECEPTION_STATUS" ON a3_samples USING btree (sample_reception_status);


--
-- Name: fki_CV3_SAMPLE_SUBTYPES_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_SAMPLE_SUBTYPES_CREATED_FK" ON cv3_sample_subtypes USING btree (created_by);


--
-- Name: fki_CV3_SAMPLE_SUBTYPES_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_SAMPLE_SUBTYPES_MODIFIED_FK" ON cv3_sample_subtypes USING btree (modified_by);


--
-- Name: fki_CV3_STORAGE; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_STORAGE" ON a3_samples USING btree (sample_storage);


--
-- Name: fki_CV3_SUBTYPE; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_SUBTYPE" ON a3_samples USING btree (sample_subtype);


--
-- Name: fki_CV3_TRANSPORT_CONDITION; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_TRANSPORT_CONDITION" ON a3_samples USING btree (sample_transport_condition);


--
-- Name: fki_CV3_TYPE; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_TYPE" ON a3_samples USING btree (sample_type);


--
-- Name: fki_CV3_planned_sample_user_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_planned_sample_user_CREATED" ON cv3_planned_sample_users USING btree (created_by);


--
-- Name: fki_CV3_planned_sample_user_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_planned_sample_user_MODIFIED" ON cv3_planned_sample_users USING btree (modified_by);


--
-- Name: fki_CV3_sample_fitness_for_use_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_fitness_for_use_CREATED" ON cv3_sample_fitness_for_use USING btree (created_by);


--
-- Name: fki_CV3_sample_fitness_for_use_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_fitness_for_use_MODIFIED" ON cv3_sample_fitness_for_use USING btree (modified_by);


--
-- Name: fki_CV3_sample_location_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_location_CREATED" ON cv3_sample_locations USING btree (created_by);


--
-- Name: fki_CV3_sample_location_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_location_MODIFIED" ON cv3_sample_locations USING btree (modified_by);


--
-- Name: fki_CV3_sample_processing_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_processing_CREATED" ON cv3_sample_processing USING btree (created_by);


--
-- Name: fki_CV3_sample_processing_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_processing_MODIFIED" ON cv3_sample_processing USING btree (modified_by);


--
-- Name: fki_CV3_sample_processing_metadata_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_processing_metadata_CREATED" ON cv3_sample_processing_metadata USING btree (created_by);


--
-- Name: fki_CV3_sample_processing_metadata_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_processing_metadata_MODIFIED" ON cv3_sample_processing_metadata USING btree (modified_by);


--
-- Name: fki_CV3_sample_reception_status_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_reception_status_CREATED" ON cv3_sample_reception_stata USING btree (created_by);


--
-- Name: fki_CV3_sample_reception_status_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_reception_status_MODIFIED" ON cv3_sample_reception_stata USING btree (modified_by);


--
-- Name: fki_CV3_sample_storage_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_storage_CREATED" ON cv3_sample_storage USING btree (created_by);


--
-- Name: fki_CV3_sample_storage_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_storage_MODIFIED" ON cv3_sample_storage USING btree (modified_by);


--
-- Name: fki_CV3_sample_transport_condition_CREATED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_transport_condition_CREATED" ON cv3_sample_transport_conditions USING btree (created_by);


--
-- Name: fki_CV3_sample_transport_condition_MODIFIED; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_CV3_sample_transport_condition_MODIFIED" ON cv3_sample_transport_conditions USING btree (modified_by);


--
-- Name: fki_MAP_SAMPLE_SUBTYPES_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_MAP_SAMPLE_SUBTYPES_FK" ON cv3m_sample_types_sample_subtypes USING btree (sample_subtype);


--
-- Name: fki_MAP_SAMPLE_TYPES_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_MAP_SAMPLE_TYPES_FK" ON cv3m_sample_types_sample_subtypes USING btree (sample_type);


--
-- Name: fki_PERSONS_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_PERSONS_CREATED_FK" ON a1_persons USING btree (created_by);


--
-- Name: fki_PERSONS_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_PERSONS_MODIFIED_FK" ON a1_persons USING btree (modified_by);


--
-- Name: fki_PERSON_META_DATA_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_PERSON_META_DATA_CREATED_FK" ON a1_person_meta_data USING btree (created_by);


--
-- Name: fki_PERSON_META_DATA_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_PERSON_META_DATA_MODIFIED_FK" ON a1_person_meta_data USING btree (modified_by);


--
-- Name: fki_RELATIONS_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_RELATIONS_CREATED_FK" ON relations USING btree (created_by);


--
-- Name: fki_RELATIONS_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_RELATIONS_MODIFIED_FK" ON relations USING btree (modified_by);


--
-- Name: fki_RELATION_TYPES_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_RELATION_TYPES_CREATED_FK" ON relation_types USING btree (created_by);


--
-- Name: fki_RELATION_TYPES_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_RELATION_TYPES_MODIFIED_FK" ON relation_types USING btree (modified_by);


--
-- Name: fki_SAMPLES_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_SAMPLES_CREATED_FK" ON a3_samples USING btree (created_by);


--
-- Name: fki_SAMPLES_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_SAMPLES_MODIFIED_FK" ON a3_samples USING btree (modified_by);


--
-- Name: fki_SAMPLE_META_DATA_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_SAMPLE_META_DATA_CREATED_FK" ON a3_sample_meta_data USING btree (created_by);


--
-- Name: fki_SAMPLE_META_DATA_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_SAMPLE_META_DATA_MODIFIED_FK" ON a3_sample_meta_data USING btree (modified_by);


--
-- Name: fki_USER_RIGHTS_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_USER_RIGHTS_CREATED_FK" ON user_rights USING btree (created_by);


--
-- Name: fki_USER_RIGHTS_GRANTED_BY_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_USER_RIGHTS_GRANTED_BY_FK" ON user_rights USING btree (granted_by);


--
-- Name: fki_USER_RIGHTS_GRANTED_TO_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_USER_RIGHTS_GRANTED_TO_FK" ON user_rights USING btree (granted_to);


--
-- Name: fki_USER_RIGHTS_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_USER_RIGHTS_MODIFIED_FK" ON user_rights USING btree (modified_by);


--
-- Name: fki_VISITS_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_VISITS_CREATED_FK" ON a2_visits USING btree (created_by);


--
-- Name: fki_VISITS_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_VISITS_MODIFIED_FK" ON a2_visits USING btree (modified_by);


--
-- Name: fki_VISITS_PERSONS_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_VISITS_PERSONS_FK" ON a1_persons USING btree (modified_by);


--
-- Name: fki_VISIT_META_DATA_CREATED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_VISIT_META_DATA_CREATED_FK" ON a2_visit_meta_data USING btree (created_by);


--
-- Name: fki_VISIT_META_DATA_MODIFIED_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_VISIT_META_DATA_MODIFIED_FK" ON a2_visit_meta_data USING btree (modified_by);


--
-- Name: fki_owner_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_owner_FK" ON a1_persons USING btree (owner);


--
-- Name: fki_owner_group_FK; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "fki_owner_group_FK" ON a1_persons USING btree (owner_group);


--
-- Name: A1_PERSONS_TECHNOLOGY; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "A1_PERSONS_TECHNOLOGY" FOREIGN KEY (technology) REFERENCES collections(sysid);


--
-- Name: A2_VISITS_TECHNOLOGY; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "A2_VISITS_TECHNOLOGY" FOREIGN KEY (technology) REFERENCES collections(sysid);


--
-- Name: A3_SAMPLES_TECHNOLOGY; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "A3_SAMPLES_TECHNOLOGY" FOREIGN KEY (technology) REFERENCES collections(sysid);


--
-- Name: ALIQUOTS_CREATOR_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "ALIQUOTS_CREATOR_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: ALIQUOTS_MODIFIER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "ALIQUOTS_MODIFIER_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: ALIQUOTS_SAMPLES_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "ALIQUOTS_SAMPLES_FK" FOREIGN KEY (from_visit) REFERENCES a2_visits(sysid);


--
-- Name: CV0_BLOOD_PRESSURE_TYPES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_blood_pressure_types
    ADD CONSTRAINT "CV0_BLOOD_PRESSURE_TYPES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_BLOOD_PRESSURE_TYPES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_blood_pressure_types
    ADD CONSTRAINT "CV0_BLOOD_PRESSURE_TYPES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV0_MEDICATION_DOSES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_medication_doses
    ADD CONSTRAINT "CV0_MEDICATION_DOSES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_MEDICATION_DOSES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_medication_doses
    ADD CONSTRAINT "CV0_MEDICATION_DOSES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV0_SAMPLE_TIMINGS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_sample_timings
    ADD CONSTRAINT "CV0_SAMPLE_TIMINGS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_SAMPLE_TIMINGS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_sample_timings
    ADD CONSTRAINT "CV0_SAMPLE_TIMINGS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV0_SAMPLE_TYPES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_sample_types
    ADD CONSTRAINT "CV0_SAMPLE_TYPES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_SAMPLE_TYPES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_sample_types
    ADD CONSTRAINT "CV0_SAMPLE_TYPES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV0_concentration_unitS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_concentration_units
    ADD CONSTRAINT "CV0_concentration_unitS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_concentration_unitS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_concentration_units
    ADD CONSTRAINT "CV0_concentration_unitS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV0_volume_unitS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_volume_units
    ADD CONSTRAINT "CV0_volume_unitS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV0_volume_unitS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv0_volume_units
    ADD CONSTRAINT "CV0_volume_unitS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_ALCOHOL_STATA_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_alcohol_stata
    ADD CONSTRAINT "CV1_ALCOHOL_STATA_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_ALCOHOL_STATA_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_alcohol_stata
    ADD CONSTRAINT "CV1_ALCOHOL_STATA_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_COUNTRY_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_country_of_residence
    ADD CONSTRAINT "CV1_COUNTRY_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_COUNTRY_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_country_of_residence
    ADD CONSTRAINT "CV1_COUNTRY_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_COUNTRY_OF_RESIDENCE_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_COUNTRY_OF_RESIDENCE_FK" FOREIGN KEY (country_of_residence) REFERENCES cv1_country_of_residence(sysid);


--
-- Name: CV1_DIABETES_TYPE_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_DIABETES_TYPE_FK" FOREIGN KEY (type_of_diabetes) REFERENCES cv1_diabetes_types(sysid);


--
-- Name: CV1_ETHNICITIES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_ethnicities
    ADD CONSTRAINT "CV1_ETHNICITIES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_ETHNICITIES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_ethnicities
    ADD CONSTRAINT "CV1_ETHNICITIES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_ETHNICITY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_ETHNICITY_FK" FOREIGN KEY (ethnicity) REFERENCES cv1_ethnicities(sysid);


--
-- Name: CV1_SEXES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_sexes
    ADD CONSTRAINT "CV1_SEXES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_SEXES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_sexes
    ADD CONSTRAINT "CV1_SEXES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_SEX_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_SEX_FK" FOREIGN KEY (sex) REFERENCES cv1_sexes(sysid);


--
-- Name: CV1_SMOKING_STATA_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_smoking_stata
    ADD CONSTRAINT "CV1_SMOKING_STATA_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_SMOKING_STATA_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_smoking_stata
    ADD CONSTRAINT "CV1_SMOKING_STATA_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_TWIN_TYPES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_twin_types
    ADD CONSTRAINT "CV1_TWIN_TYPES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_TWIN_TYPES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_twin_types
    ADD CONSTRAINT "CV1_TWIN_TYPES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_TWIN_TYPE_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_TWIN_TYPE_FK" FOREIGN KEY (twin_type) REFERENCES cv1_twin_types(sysid);


--
-- Name: CV1_TYPES_OF_COLLECTION_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_collection
    ADD CONSTRAINT "CV1_TYPES_OF_COLLECTION_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPES_OF_COLLECTION_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_collection
    ADD CONSTRAINT "CV1_TYPES_OF_COLLECTION_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPES_OF_STUDIES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_studies
    ADD CONSTRAINT "CV1_TYPES_OF_STUDIES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPES_OF_STUDIES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_studies
    ADD CONSTRAINT "CV1_TYPES_OF_STUDIES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPES_OF_STUDY_SETTINGS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_study_settings
    ADD CONSTRAINT "CV1_TYPES_OF_STUDY_SETTINGS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPES_OF_STUDY_SETTINGS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_types_of_study_settings
    ADD CONSTRAINT "CV1_TYPES_OF_STUDY_SETTINGS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV1_TYPE_OF_COLLECTION; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_TYPE_OF_COLLECTION" FOREIGN KEY (type_of_collection) REFERENCES cv1_types_of_collection(sysid);


--
-- Name: CV1_TYPE_OF_STUDY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_TYPE_OF_STUDY_FK" FOREIGN KEY (type_of_study) REFERENCES cv1_types_of_studies(sysid);


--
-- Name: CV1_TYPE_OF_STUDY_SETTINGS_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "CV1_TYPE_OF_STUDY_SETTINGS_FK" FOREIGN KEY (type_of_study_settings) REFERENCES cv1_types_of_study_settings(sysid);


--
-- Name: CV2_ALCOHOL_STATUS_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "CV2_ALCOHOL_STATUS_FK" FOREIGN KEY (alcohol_status) REFERENCES cv2_alcohol_stata(sysid);


--
-- Name: CV2_ANTIHYPERTENSITIVES_MEDICATIONS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_antihypertensitives_medications
    ADD CONSTRAINT "CV2_ANTIHYPERTENSITIVES_MEDICATIONS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV2_ANTIHYPERTENSITIVES_MEDICATIONS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_antihypertensitives_medications
    ADD CONSTRAINT "CV2_ANTIHYPERTENSITIVES_MEDICATIONS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV2_ANTIHYPERTENSITIVES_MEDICATION_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "CV2_ANTIHYPERTENSITIVES_MEDICATION_FK" FOREIGN KEY (antihypertensitives_medication) REFERENCES cv2_antihypertensitives_medications(sysid);


--
-- Name: CV2_CHOLESTEROL_MEDICATION_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "CV2_CHOLESTEROL_MEDICATION_FK" FOREIGN KEY (cholesterol_medication) REFERENCES cv2_cholesterol_medications(sysid);


--
-- Name: CV2_CHORESTEROL_MEDICATIONS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_cholesterol_medications
    ADD CONSTRAINT "CV2_CHORESTEROL_MEDICATIONS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV2_CHORESTEROL_MEDICATIONS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_cholesterol_medications
    ADD CONSTRAINT "CV2_CHORESTEROL_MEDICATIONS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV2_DIABETES_TYPES_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_diabetes_types
    ADD CONSTRAINT "CV2_DIABETES_TYPES_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV2_DIABETES_TYPES_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv1_diabetes_types
    ADD CONSTRAINT "CV2_DIABETES_TYPES_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV2_GLUCOSE_MEDICATIONS_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_glucose_medications
    ADD CONSTRAINT "CV2_GLUCOSE_MEDICATIONS_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV2_GLUCOSE_MEDICATIONS_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv2_glucose_medications
    ADD CONSTRAINT "CV2_GLUCOSE_MEDICATIONS_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV2_GLUCOSE_MEDICATION_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "CV2_GLUCOSE_MEDICATION_FK" FOREIGN KEY (glucose_medication) REFERENCES cv2_glucose_medications(sysid);


--
-- Name: CV2_SMOKING_STATUS_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "CV2_SMOKING_STATUS_FK" FOREIGN KEY (smoking_status) REFERENCES cv2_smoking_stata(sysid);


--
-- Name: CV3A_SAMPLE_TYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_types
    ADD CONSTRAINT "CV3A_SAMPLE_TYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3A_SAMPLE_TYPES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_types
    ADD CONSTRAINT "CV3A_SAMPLE_TYPES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_FITNESS; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_FITNESS" FOREIGN KEY (sample_fitness_for_use) REFERENCES cv3_sample_fitness_for_use(sysid);


--
-- Name: CV3_LOCATION; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_LOCATION" FOREIGN KEY (sample_location) REFERENCES cv3_sample_locations(sysid);


--
-- Name: CV3_PLANNED_USERS; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_PLANNED_USERS" FOREIGN KEY (planned_sample_user) REFERENCES cv3_planned_sample_users(sysid);


--
-- Name: CV3_PROCESSING; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_PROCESSING" FOREIGN KEY (sample_processing) REFERENCES cv3_sample_processing(sysid);


--
-- Name: CV3_PROCESSING_METADATA; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_PROCESSING_METADATA" FOREIGN KEY (sample_processing_metadata) REFERENCES cv3_sample_processing_metadata(sysid);


--
-- Name: CV3_RECEPTION_STATUS; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_RECEPTION_STATUS" FOREIGN KEY (sample_reception_status) REFERENCES cv3_sample_reception_stata(sysid);


--
-- Name: CV3_SAMPLE_SUBTYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_subtypes
    ADD CONSTRAINT "CV3_SAMPLE_SUBTYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_SAMPLE_SUBTYPES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_subtypes
    ADD CONSTRAINT "CV3_SAMPLE_SUBTYPES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_STORAGE; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_STORAGE" FOREIGN KEY (sample_storage) REFERENCES cv3_sample_storage(sysid);


--
-- Name: CV3_SUBTYPE; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_SUBTYPE" FOREIGN KEY (sample_subtype) REFERENCES cv3_sample_subtypes(sysid);


--
-- Name: CV3_TRANSPORT_CONDITION; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_TRANSPORT_CONDITION" FOREIGN KEY (sample_transport_condition) REFERENCES cv3_sample_transport_conditions(sysid);


--
-- Name: CV3_TYPE; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_samples
    ADD CONSTRAINT "CV3_TYPE" FOREIGN KEY (sample_type) REFERENCES cv3_sample_types(sysid);


--
-- Name: CV3_planned_sample_user_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_planned_sample_users
    ADD CONSTRAINT "CV3_planned_sample_user_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_planned_sample_user_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_planned_sample_users
    ADD CONSTRAINT "CV3_planned_sample_user_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_fitness_for_use_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_fitness_for_use
    ADD CONSTRAINT "CV3_sample_fitness_for_use_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_fitness_for_use_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_fitness_for_use
    ADD CONSTRAINT "CV3_sample_fitness_for_use_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_location_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_locations
    ADD CONSTRAINT "CV3_sample_location_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_location_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_locations
    ADD CONSTRAINT "CV3_sample_location_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_processing_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_processing
    ADD CONSTRAINT "CV3_sample_processing_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_processing_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_processing
    ADD CONSTRAINT "CV3_sample_processing_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_processing_metadata_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_processing_metadata
    ADD CONSTRAINT "CV3_sample_processing_metadata_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_processing_metadata_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_processing_metadata
    ADD CONSTRAINT "CV3_sample_processing_metadata_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_reception_status_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_reception_stata
    ADD CONSTRAINT "CV3_sample_reception_status_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_reception_status_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_reception_stata
    ADD CONSTRAINT "CV3_sample_reception_status_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_storage_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_storage
    ADD CONSTRAINT "CV3_sample_storage_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_storage_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_storage
    ADD CONSTRAINT "CV3_sample_storage_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_transport_condition_CREATED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_transport_conditions
    ADD CONSTRAINT "CV3_sample_transport_condition_CREATED" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: CV3_sample_transport_condition_MODIFIED; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3_sample_transport_conditions
    ADD CONSTRAINT "CV3_sample_transport_condition_MODIFIED" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: DATA_TYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY data_types
    ADD CONSTRAINT "DATA_TYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: DATA_TYPES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY data_types
    ADD CONSTRAINT "DATA_TYPES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: MAP_SAMPLE_SUBTYPES_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3m_sample_types_sample_subtypes
    ADD CONSTRAINT "MAP_SAMPLE_SUBTYPES_FK" FOREIGN KEY (sample_subtype) REFERENCES cv3_sample_subtypes(sysid);


--
-- Name: MAP_SAMPLE_TYPES_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3m_sample_types_sample_subtypes
    ADD CONSTRAINT "MAP_SAMPLE_TYPES_FK" FOREIGN KEY (sample_type) REFERENCES cv3_sample_types(sysid);


--
-- Name: MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3m_sample_types_sample_subtypes
    ADD CONSTRAINT "MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cv3m_sample_types_sample_subtypes
    ADD CONSTRAINT "MAP_SAMPLE_TYPES_SAMPLE_SUBTYPES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: OCOL_TYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY protocol_types
    ADD CONSTRAINT "OCOL_TYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: PARTNERS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY project_partners
    ADD CONSTRAINT "PARTNERS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: PARTNERS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY project_partners
    ADD CONSTRAINT "PARTNERS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: PENDING_TASKS_ASSAY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT "PENDING_TASKS_ASSAY_FK" FOREIGN KEY (l1_id) REFERENCES a3_samples(sysid);


--
-- Name: PENDING_TASKS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT "PENDING_TASKS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: PENDING_TASKS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT "PENDING_TASKS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: PENDING_TASKS_SG_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT "PENDING_TASKS_SG_FK" FOREIGN KEY (l2_id) REFERENCES a2_visits(sysid);


--
-- Name: PERSONS_CREATOR_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "PERSONS_CREATOR_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: PERSONS_MODIFIER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "PERSONS_MODIFIER_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: PERSON_META_DATA_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_person_meta_data
    ADD CONSTRAINT "PERSON_META_DATA_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: PERSON_META_DATA_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_person_meta_data
    ADD CONSTRAINT "PERSON_META_DATA_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: PROTOCOL_TYPES_MODIFIES_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY protocol_types
    ADD CONSTRAINT "PROTOCOL_TYPES_MODIFIES_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: RELATIONS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: RELATIONS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: RELATIONS_PERSON1_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_PERSON1_FK" FOREIGN KEY (person_1) REFERENCES a1_persons(sysid);


--
-- Name: RELATIONS_PERSON2_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_PERSON2_FK" FOREIGN KEY (person_2) REFERENCES a1_persons(sysid);


--
-- Name: RELATIONS_TYPES_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relations
    ADD CONSTRAINT "RELATIONS_TYPES_FK" FOREIGN KEY (relation) REFERENCES relation_types(sysid);


--
-- Name: RELATION_TYPES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relation_types
    ADD CONSTRAINT "RELATION_TYPES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: RELATION_TYPES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY relation_types
    ADD CONSTRAINT "RELATION_TYPES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: SAMPLES_CREATOR_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "SAMPLES_CREATOR_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: SAMPLES_MODIFIER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "SAMPLES_MODIFIER_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: SAMPLES_PERSONS; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visits
    ADD CONSTRAINT "SAMPLES_PERSONS" FOREIGN KEY (person) REFERENCES a1_persons(sysid);


--
-- Name: SAMPLE_META_DATA_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_sample_meta_data
    ADD CONSTRAINT "SAMPLE_META_DATA_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: SAMPLE_META_DATA_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a3_sample_meta_data
    ADD CONSTRAINT "SAMPLE_META_DATA_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: TECHNOLOGIES_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY collections
    ADD CONSTRAINT "TECHNOLOGIES_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: TECHNOLOGIES_CURATOR_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY collections
    ADD CONSTRAINT "TECHNOLOGIES_CURATOR_FK" FOREIGN KEY (collection_curator) REFERENCES users(sysid);


--
-- Name: TECHNOLOGIES_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY collections
    ADD CONSTRAINT "TECHNOLOGIES_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: TECHNOLOGY_ACCESS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY technology_access
    ADD CONSTRAINT "TECHNOLOGY_ACCESS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: TECHNOLOGY_ACCESS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY technology_access
    ADD CONSTRAINT "TECHNOLOGY_ACCESS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: TECHNOLOGY_ACCESS_TECHMOLOGY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY technology_access
    ADD CONSTRAINT "TECHNOLOGY_ACCESS_TECHMOLOGY_FK" FOREIGN KEY (technology) REFERENCES collections(sysid);


--
-- Name: TECHNOLOGY_ACCESS_USER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY technology_access
    ADD CONSTRAINT "TECHNOLOGY_ACCESS_USER_FK" FOREIGN KEY (granted_to_user) REFERENCES users(sysid);


--
-- Name: USERS_DEF_GROUP_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users
    ADD CONSTRAINT "USERS_DEF_GROUP_FK" FOREIGN KEY (default_user_group) REFERENCES user_groups(sysid);


--
-- Name: USERS_PROJ_PARTNER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY users
    ADD CONSTRAINT "USERS_PROJ_PARTNER_FK" FOREIGN KEY (project_partner) REFERENCES project_partners(sysid);


--
-- Name: USER_GROUPS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_groups
    ADD CONSTRAINT "USER_GROUPS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: USER_GROUPS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_groups
    ADD CONSTRAINT "USER_GROUPS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: USER_GROUP_MEMBERSHIP_BELONGS_TO_USER_GROUP_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_membership
    ADD CONSTRAINT "USER_GROUP_MEMBERSHIP_BELONGS_TO_USER_GROUP_FK" FOREIGN KEY (belongs_to_user_group) REFERENCES user_groups(sysid);


--
-- Name: USER_GROUP_MEMBERSHIP_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_membership
    ADD CONSTRAINT "USER_GROUP_MEMBERSHIP_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: USER_GROUP_MEMBERSHIP_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_membership
    ADD CONSTRAINT "USER_GROUP_MEMBERSHIP_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: USER_GROUP_MEMBERSHIP_THE_USER_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_membership
    ADD CONSTRAINT "USER_GROUP_MEMBERSHIP_THE_USER_FK" FOREIGN KEY (the_user) REFERENCES users(sysid);


--
-- Name: USER_GROUP_RIGHTS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_rights
    ADD CONSTRAINT "USER_GROUP_RIGHTS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: USER_GROUP_RIGHTS_GRANTED_BY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_rights
    ADD CONSTRAINT "USER_GROUP_RIGHTS_GRANTED_BY_FK" FOREIGN KEY (granted_by_group) REFERENCES user_groups(sysid);


--
-- Name: USER_GROUP_RIGHTS_GRANTED_TO_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_rights
    ADD CONSTRAINT "USER_GROUP_RIGHTS_GRANTED_TO_FK" FOREIGN KEY (granted_to_group) REFERENCES user_groups(sysid);


--
-- Name: USER_GROUP_RIGHTS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_group_rights
    ADD CONSTRAINT "USER_GROUP_RIGHTS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: USER_RIGHTS_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_rights
    ADD CONSTRAINT "USER_RIGHTS_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: USER_RIGHTS_GRANTED_BY_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_rights
    ADD CONSTRAINT "USER_RIGHTS_GRANTED_BY_FK" FOREIGN KEY (granted_by) REFERENCES users(sysid);


--
-- Name: USER_RIGHTS_GRANTED_TO_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_rights
    ADD CONSTRAINT "USER_RIGHTS_GRANTED_TO_FK" FOREIGN KEY (granted_to) REFERENCES users(sysid);


--
-- Name: USER_RIGHTS_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY user_rights
    ADD CONSTRAINT "USER_RIGHTS_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: VISIT_META_DATA_CREATED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visit_meta_data
    ADD CONSTRAINT "VISIT_META_DATA_CREATED_FK" FOREIGN KEY (created_by) REFERENCES users(sysid);


--
-- Name: VISIT_META_DATA_MODIFIED_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a2_visit_meta_data
    ADD CONSTRAINT "VISIT_META_DATA_MODIFIED_FK" FOREIGN KEY (modified_by) REFERENCES users(sysid);


--
-- Name: fk_view_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pending_tasks
    ADD CONSTRAINT fk_view_id FOREIGN KEY (l3_id) REFERENCES a1_persons(sysid);


--
-- Name: owner_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "owner_FK" FOREIGN KEY (owner) REFERENCES users(sysid);


--
-- Name: owner_group_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY a1_persons
    ADD CONSTRAINT "owner_group_FK" FOREIGN KEY (owner_group) REFERENCES user_groups(sysid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

INSERT INTO version_number (version_number,configuration) values(20100113,'engage');